Bug 656602 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
http://lists.fedoraproject.org/piperm...
: Triaged
Depends On:
Blocks: 827166
  Show dependency treegraph
 
Reported: 2010-11-23 18:31 EST by Lennart Poettering
Modified: 2014-03-16 23:25 EDT (History)
6 users (show)

See Also:
Fixed In Version: initscripts-9.23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-02 14:31:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
add tmpfiles.d configuration file (1.25 KB, patch)
2010-11-30 08:18 EST, Petr Lautrbach
no flags Details | Diff

  None (edit)
Description Lennart Poettering 2010-11-23 18:31:25 EST
Your package initscripts appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 Paul Bolle 2010-11-30 06:40:57 EST
0) This must explain these messages:
  $ /sbin/ifdown eth0
  ./network-functions: line 190: cd: /var/run/netreport: No such file or directory
  $ /sbin/ifup eth0
  ./network-functions: line 190: cd: /var/run/netreport: No such file or directory

1) Further info:
  $ rpm -qf /var/run/netreport
  initscripts-9.22-2.fc15.i686
  $ rpm -q initscripts -l | grep /var/run/netreport
  /var/run/netreport

2) Current specfile is:
  http://pkgs.fedoraproject.org/gitweb/?p=initscripts.git;a=blob;f=initscripts.spec;h=d9647693d5119be5d6ed6251eabdcf440b725eb1;hb=884d2ff0092ff279650e05255cb00276dc31cd37
It uses "%dir" for /var/run/netreport and not "%ghost".

(I have no idea what would happen if the specfile did use "%ghost" for /var/run/netreport . But at least a search for the above messages will now lead to this bugreport.)
Comment 2 Petr Lautrbach 2010-11-30 08:05:06 EST
> 2) Current specfile is:
>  
> http://pkgs.fedoraproject.org/gitweb/?p=initscripts.git;a=blob;f=initscripts.spec;h=d9647693d5119be5d6ed6251eabdcf440b725eb1;hb=884d2ff0092ff279650e05255cb00276dc31cd37
> It uses "%dir" for /var/run/netreport and not "%ghost".

%ghost is not needed. There is missing tmpfiles.d configuration file.
Comment 3 Petr Lautrbach 2010-11-30 08:18:25 EST
Created attachment 463722 [details]
add tmpfiles.d configuration file

This patch adds /etc/tmpfiles.d/initscripts.conf.

Files /var/run/utmp, /var/log/wtmp, /var/log/btmp which belongs to initscripts package are already created via /etc/tmpfiles.d/systemd.conf but I think that they should be created here
Comment 4 Bill Nottingham 2010-11-30 12:56:02 EST
Added in git, will show up in the next day or two. Thanks!

Note You need to log in before you can comment on or make changes to this bug.